package ij.example.simple;

public class Test{
  public static void test(String string) throws ParanthesisException { 
    int level=0;
    for(int i=0, l=string.length(); i<l; ++i){ 
      switch( string.charAt(i) ){      
        case '(': ++level; break;
        case ')': if(--level<0) 
                    throw new UnexpectedParanthesisException();
                  break;
      }
    }   
    if(level>0) throw new UnbalancedParanthesisException();
  }
  public static void main(String args[]){
    try{
      System.out.println("a*(b*(x+7)*c)");
      test("a*(b*(x+7)*c)");    
      System.out.println("a*b*(x+7)*c)");
      test("a*b*(x+7)*c)");    
      System.out.println("a*(b*(x+7*c)");
      test("a*(b*(x+7*c)");    
      System.out.println("a*)b*x(+7");
      test("a*)b*x(+7");    
    }catch(ParanthesisException e){
      System.out.println( e.getMessage() );
    }     
  }
}  
