package ij.example.dvdshop;

public class DVD {                                            
  protected String code;
  public String getCode(){ return code; }
  public void setCode(String code){ this.code=code; }

  protected String title;
  public String getTitle(){ return title; }
  public void setTitle(String title){ this.title=title; }

  protected int releaseDate;                                  
  public int getReleaseDate(){ return releaseDate; }
  public void setReleaseDate(int releaseDate){  
    this.releaseDate=releaseDate; 
  }

  protected String director;
  public String getDirector(){ return director; }
  public void setDirector(String director){ this.director=director; }

  protected String actors;
  public String getActors(){ return actors; }
  public void setActors(String actors){ this.actors=actors; }

  protected boolean borrowed;
  public boolean isBorrowed(){ return borrowed; }              
  public void setBorrowed(boolean borrowed){ this.borrowed=borrowed; }

  protected double price;                                  
  public double getPrice(){ return price; }
  public void setPrice(double price){ this.price = price; }
  
  public boolean isForSale(){ return price!=0; }
  
  public DVD(){ }

  public DVD(String code, String title, int releaseDate, 
                                         String director, String actors){ 
    this.code=code;
    this.title=title; this.releaseDate=releaseDate;
    this.director=director; this.actors=actors;
  }

  public String toXML(){     
    StringBuilder b=new StringBuilder();
    b.append("<?xml version=\"1.0\" encoding=\"iso-8859-2\"?>\n");
    b.append("<DVD>\n");
    // tulajdonsgok kirsa
    b.append("</DVD>\n");
    return b.toString();
  }    
  
  public static void main(String args[]){
    DVD dvd=new DVD("1001", "Nights on Java", 2006, "Ben Boss",
                    "Dev E. Lopez, T. Esther Works"
    );
  }
}
