package ij.example.simple;

public class ErrorCode{
  public static int field(int v, int o, int n){
    return (v>>o)&~(-1<<n);
  }
  public static int set(int v, int w, int o, int n){
    return v^=(v&~(-1<<n)<<o)^(w<<o);
  }

  protected int error;
  public ErrorCode(int error){ this.error=error; }
  public ErrorCode(){ }

  public int getCode(){ return field(error,0,7); }
  public void setCode(int code){ error=set(error,code,0,7); }
  public boolean isTop(){ return field(error,0,1)!=0; }
  public void setTop(boolean f){ error=set(error,f?1:0,8,1); }
  public boolean isBottom(){ return !isTop(); }
  public void setBottom(boolean f){ setTop(!f); }
  public int getX(){ return field(error,8,12); }
  public void setX(int v){ error=set(error,v,8,12); }
  public int getY(){ return field(error,20,12); }
  public void setY(int v){ error=set(error,v,20,12); }

  public String toString(){
    return "Error #"+getCode()+" @ ("+getX()+","+getY()+") "+
      (isTop()? "top" : "bottom")
    ;
  }

  public static  void main(String args[]){
    System.out.println( new ErrorCode(0x02334a3f) );
  }
}
