package ij.example.simple;

public class ErrorCode{
  public static int field(int v, int o, int n){
    return (v>>o)&~(-1<<n);
  }
  protected int error;
  public ErrorCode(int error){ this.error=error; }

  public int getCode(){ return field(error,0,7); }
  public boolean isTop(){ return field(error,0,1)!=0; }
  public boolean isBottom(){ return !isTop(); }
  public int getX(){ return field(error,8,12); }
  public int getY(){ return field(error,20,12); }

  public String toString(){
    return "Error #"+getCode()+" @ ("+getX()+","+getY()+") "+
      (isTop()? "top" : "bottom")
    ;
  }

  public static  void main(String args[]){
    System.out.println( new ErrorCode(0x02334a3f) );
  }
}
