package ij.example.simple;

public class ErrorCode{
  protected int error;
  public ErrorCode(int error){ this.error=error; }

  public int getCode(){ return error&0x7f; }
  public boolean isTop(){ return (error&0x80)!=0; }
  public boolean isBottom(){ return !isTop(); }
  public int getX(){ return (error>>8)&0xfff; }
  public int getY(){ return (error>>20)&0xfff; }

  public String toString(){
    return "Error #"+getCode()+" @ ("+getX()+","+getY()+") "+
      (isTop()? "top" : "bottom")
    ;
  }

  public static  void main(String args[]){
    System.out.println( new ErrorCode(0x02334a3f) );
  }
}
