package ij.example.simple;

public class Hangrend{
  public static final int MAGAS=1, MELY=2, VEGYES=3, NINCS_MGH=0;
  
  public static String hangrend(String szo){
    int h=0; 
    for(int i=0, l=szo.length(); i<l; ++i){
      switch( szo.charAt(i) ){
        case 'e': case 'i': 
          h|=MAGAS;
          break;
        case 'a': case 'o': case 'u':
          h|=MELY;
          break;
      }
    }
    switch( h ){ 
      case MAGAS: return "magas";
      case MELY: return "mely";
      case VEGYES: return "vegyes";
      default: assert (h==NINCS_MGH); return "nincs mgh";
    }
  }
  public static  void main(String args[]){
    System.out.println( hangrend("sas") );
    System.out.println( hangrend("fecske") );
    System.out.println( hangrend("emu") );
    System.out.println( hangrend("XY") );
  }
}
