package ij.example.simple;

import java.lang.reflect.InvocationTargetException;

public class LauncherApplication{
  protected static final String[] EMPTY_STRING_ARRAY=new String[0];
  public static void launch(String className, String args[])
                                                        throws Throwable{
    try{
      Class theClass=Class.forName(className);
      theClass.getMethod("main", EMPTY_STRING_ARRAY.getClass())
        .invoke(null, new Object[]{ args });
    }catch(InvocationTargetException e){
      throw e.getTargetException();
    }
  }
}
