package ij.example.words;

public class Words{
  protected String string;
  protected int index = 0;
  public Words(String string){ this.string=string; }

  public boolean isWordChar(char c){
    return Character.isLetterOrDigit(c) || c=='-' || c=='_';
  }
  
  public String nextWord(){
//  skip to the start of the next word
     while(index<string.length() && !isWordChar(string.charAt(index))){ 
       ++index;
     }    
     if( index>=string.length() ) return null;
     int from=index;
  // skip to the end of the word
     while(index<string.length() && isWordChar(string.charAt(index))){ 
       ++index;
     }
     return string.substring(from,index);    
   }


  public static void main(String args[]){
     Words words=new Words("to be or not to be"); 
     for(String word; (word=words.nextWord())!=null; ){
       System.out.println("'"+word+"'");
     }
  }
}
