package ij.util;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class IOUtil{
  public static List<File> listFiles(List<File> list, File file){ 
    File files[]=file.listFiles();
    if(files!=null){
      for(File f: files){
        list.add(f);
        if(f.isDirectory()){
          listFiles(list,f);
        }
      }
    }
    return list;
  }
  public static List<File> listFiles(File file){ 
    return listFiles(new ArrayList<File>(), file);    
  }  
  public static void main(String args[]){
    System.out.println(listFiles(new File(".")) );
    System.out.println( listFiles(new File(".").getAbsoluteFile()) );
  }
}

