package ij.util;


public class ValueUtil{

  public static String toString(Object v){
    return (v!=null) ? v.toString() : null;
  }
  public static int toInt(Object v){
    if(v instanceof Number){ 
      return ((Number)v).intValue();
    }else{ 
      try{ return Integer.parseInt(toString(v));  
      }catch(Exception e){ }
    }
    return 0;
  }
  public static double toDouble(Object v){
    if(v instanceof Number){ 
      return ((Number)v).doubleValue();
    }else{ 
      try{ return Double.parseDouble(toString(v));  
      }catch(Exception e){ }
    }
    return 0;
  }
  public static boolean toBoolean(Object v){
    if(v instanceof Boolean){ 
      return ((Boolean)v).booleanValue();
    }else if(v!=null){ String s=toString(v);
      return !("false".equalsIgnoreCase(s) || "0".equals(s));  
    }
    return false;
  }
}
