package ij.example.dvdshop;

import java.util.Comparator;

public class DVDComparator implements Comparator<DVD>{
  protected String name;
  protected boolean reverse;
  public DVDComparator(String name, boolean reverse){ 
    this.name=name; this.reverse=reverse;    
  }
  public DVDComparator(String name){ this(name,false); }

  public int compare(DVD a, DVD b){ int code;
    Object av=a.get(name), bv=b.get(name);
    if(av==bv){ return 0; 
    }else if(av==null){ code=-1; 
    }else if(bv==null){ code=1;
    }else{ code=((Comparable)av).compareTo((Comparable)bv);
    }
    return reverse? -code :code;
  }
}
