package ij.example.shape;

public abstract class Shape {
  public abstract double getArea() ;
  public abstract void magnify(double m) ;
  public void shrink(double m){ magnify(1/m); }  
  
  public static void main(String args[]){
    Shape s1=new Rectangle(2,3), s2=new Circle(1);
    System.out.println("Area of "+s1+": "+s1.getArea());
    System.out.println("Area of "+s2+": "+s2.getArea());
    s1.magnify(2);
    s2.magnify(2);
    System.out.println("Area of "+s1+": "+s1.getArea());
    System.out.println("Area of "+s2+": "+s2.getArea());
    
    Shape s3=new Circle(2);
    System.out.println(s3.getArea());
    s3.shrink(2); System.out.println(s3.getArea());
    s3.magnify(2); System.out.println(s3.getArea());    
  }  
}
