package ij.example.simple;

import java.util.*;

public class Numbering{
  public static int nextNumber(BitSet b){
    int i=b.nextClearBit(1); b.set(i); 
    return i;  
  }
  public static boolean isContinuous(BitSet b){
    return b.nextClearBit(1)==b.length();
  }

  public static  void main(String args[]){
    BitSet b=new BitSet();
    for(int n: new int[]{ 3,6,1,5 }){
      b.set(n);
    }
    System.out.println( nextNumber(b) );
    System.out.println( isContinuous(b) );
    System.out.println( nextNumber(b) );
    System.out.println( isContinuous(b) );
    System.out.println( nextNumber(b) );
    System.out.println( isContinuous(b) );
    b.clear(2); 
    System.out.println( isContinuous(b) );
    System.out.println( nextNumber(b) );
    System.out.println( isContinuous(b) );
  }
}

