package ij.example.simple;

public class Test{
  
  public static int paranthesis(String string, int i)throws UnbalancedParanthesisException{ 
    int start=i;
    while( ++i<string.length() ){ 
      switch( string.charAt(i) ){      
        case '(': i=paranthesis(string,i); break;
        case ')': return i;
      }
    }   
    throw new UnbalancedParanthesisException(start);
  }
  
  public static void test(String string) throws ParanthesisException{ 
    for(int i=0, l=string.length(); i<l; ++i){ 
      switch( string.charAt(i) ){      
        case '(': i=paranthesis(string,i); break;
        case ')': throw new UnexpectedParanthesisException(i);
      }
    }   
  }

  public static void main(String args[]){
    try{
      System.out.println("a*(b*(x+7)*c)");
      test("a*(b*(x+7)*c)");    
      System.out.println("a*b*(x+7)*c)");
      test("a*b*(x+7)*c)");    
      System.out.println("a*(b*(x+7*c)");
      test("a*(b*(x+7*c)");    
      System.out.println("a*)b*x(+7");
      test("a*)b*x(+7");    
    }catch(ParanthesisException e){
      System.out.println( "ERROR at "+(e.getPosition()+1)+": "
                          +e.getMessage() );
    }   
  }
}  
