package ij.util;

import java.util.*;

public class ArrayListSet<T> extends ArrayList<T> implements Set<T>{
  public ArrayListSet(){ }
  public ArrayListSet(Collection<T> c){ super(c); }
  public ArrayListSet(T... a){ this(Arrays.asList(a)); }

  public void add(int idx, T e){ 
    if( !contains(e) ){ super.add(idx,e); }
  }
  public boolean add(T e){ 
    if( contains(e) ){ return false;
    }else{ super.add(e); return true;
    }
  }  
  public T set(int idx, T e){ 
    for(int i=0, s=size(); i<s; ++i){
      if(i!=idx && (e!=null ? e.equals(get(i)) :get(i)==null ) )
        throw new IllegalArgumentException("Duplicates in Set");
    }
    return super.set(idx,e);
  }
  
  public static void main(String args[]){
    Set s=new ArrayListSet(); s.add("1"); s.add("1");
    System.out.println(s);
   
  }
}

