package ij.util;

import java.io.*;
import java.sql.*;
import java.util.Map;

public class DB{
  protected Connection conn;
  protected void connect() throws ClassNotFoundException, SQLException{
    Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
    conn=DriverManager.getConnection(
      "jdbc:derby:forsale_db;create=true", "forsale", "passw"
    );
  }
  public DB() throws ClassNotFoundException, SQLException{ 
    connect();
  }
  public void close(){ 
    try{ conn.close(); }catch(SQLException e){}
  } 
  public ResultSetIterator select(String stmt) throws SQLException{
    if(!stmt.regionMatches(true,0,"SELECT",0,6)) stmt="SELECT "+stmt;
    return new ResultSetIterator(conn.prepareStatement(stmt));
  }
  public static void main(String args[]) 
                             throws ClassNotFoundException, SQLException, IOException{
    DB db=new DB();
    for(Map<String,Object> category: db.select("* FROM category")){
      System.out.println(category);
    }
    
    PrintWriter out=new PrintWriter(System.out);
    CSVWriter.writeCSV( out,    
        db.select(" * FROM product ORDER BY id")
    );
    out.close();

    XMLBuilder.writeXML(new File("product.xml"),
        db.select(" * FROM product ORDER BY id")
    );
    
    db.close();
  }  
}
