package ij.util;

import java.sql.*;

public class DBUtil{
  public static void update(Connection conn, String stmt) throws SQLException{
    conn.createStatement().executeUpdate(stmt); 
  }  
  public static void init(Connection conn){
    try{
      update(conn, "CREATE TABLE  category ("
        +"  name varchar(20) NOT NULL default '' PRIMARY KEY,"
        +"  text varchar(40) NOT NULL default ''"
        +")"
      );
      update(conn, "INSERT INTO category (name,text)"
        +" VALUES ('movie','Film, DVD, VHS')" );
      update(conn, "INSERT INTO category (name,text)"
        +" VALUES ('book', 'Knyv')" );
      update(conn, "INSERT INTO category (name,text)"
        +" VALUES ('music','Zene')" );
      update(conn, "INSERT INTO category (name,text)"
        +" VALUES ('phone','Telefon')" );
    }catch(SQLException e){ System.err.println(e); 
    }
  }
  
  public static void main(String args[]) 
                             throws ClassNotFoundException, SQLException{
    Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
    Connection conn=DriverManager.getConnection(
      "jdbc:derby:forsale_db;create=true", "forsale", "passw"
    );
    init(conn);
    Statement stmt=conn.createStatement();
    ResultSet result=stmt.executeQuery("SELECT * FROM category");
    while( result.next() ){
      System.out.println( 
        result.getString("name")+": "+result.getString("text")
      );
    }
  }
}
