package ij.util;

import java.io.File;
import java.io.FileFilter;
import java.util.ArrayList;
import java.util.List;

public class IOUtil{
  public static List<File> listFiles(List<File> list, File file, FileFilter filter){ 
    list.add(file);
    if(file.isDirectory()){
      File[] files=file.listFiles(filter);
      if(files!=null){
        for(File f: files){
          listFiles(list,f,filter); 
        }
      }
    }
    return list;
  }
  public static List<File> listFiles(List<File> list, File file){ 
    return listFiles(list,file,null);
  }
  public static List<File> listFiles(File file, FileFilter filter){ 
    return listFiles(new ArrayList<File>(),file,filter);
  }
  public static List<File> listFiles(File file){ 
    return listFiles(file,null);
  }

  public static void main(String args[]){
    System.out.println(listFiles(new File(".")) );
    System.out.println( listFiles(new File(".").getAbsoluteFile()) );
  }
}

