package ij.util;

import java.lang.reflect.InvocationTargetException;

public class ReflectionUtil{
  public static String getMethodNameFor(String string){
    return "get"
      +Character.toUpperCase(string.charAt(0))+string.substring(1);
  }
  public static String setMethodNameFor(String string){
    return "set"
      +Character.toUpperCase(string.charAt(0))+string.substring(1);
  }
  
  public static Object get(Object object, String key){    
    try{
      return object.getClass()
        .getMethod(getMethodNameFor(key.toString()))
        .invoke(object);
    }catch(Exception e){ Throwable ex=e;
      if(e instanceof InvocationTargetException){ ex=e.getCause(); }
      if(ex instanceof RuntimeException){ throw (RuntimeException)ex; }
      throw new RuntimeException(ex);
    }
  } 
  public static Object put(Object object, String key, Object value){
    try{
      return object.getClass()
        .getMethod(ReflectionUtil.setMethodNameFor(key),value.getClass())
        .invoke(object,value);
    }catch(Exception e){ Throwable ex=e;
      if(ex instanceof InvocationTargetException){ ex=ex.getCause(); }
      if(ex instanceof RuntimeException){ throw (RuntimeException)ex; }
      throw new RuntimeException(ex);
    }
  }

}
