package ij.util;

public class XMLBuilder{

  public static void appendXML(StringBuilder b, String ident, 
                                                        XMLFragment xml){
    String name=xml.appendXMLHead(b,ident);
    if(name!=null){
      String inner=ident+"  ";
      XMLFragment body[]=xml.appendXMLBody(b,inner);
      if(body!=null){ 
        for(XMLFragment x: body){
          appendXML(b,inner,x);
        }
      }
      b.append(ident).append("</").append(name).append(">\n");
    }
  }
  public static String toXML(XMLFragment xml){
    StringBuilder b=new StringBuilder();
    b.append("<?xml version=\"1.0\" encoding=\"iso-8859-2\"?>\n");
    appendXML(b,"",xml);
    return b.toString();
  }
}

