package ij.util;

public class XMLUtil {
  public static void appendXML(StringBuilder b, String ident, 
                                        String element, Object value){     
    if(value!=null){
      b.append(ident).append('<').append(element).append('>');
      b.append(StringUtil.toHTML(value.toString()));
      b.append("</").append(element).append(">\n");
    }
  }  
  
  public static String fromXML(String xml, String element){     
    String start='<'+element+'>', end="</"+element+'>';
    int i,j;
    if( (i=xml.indexOf(start))!=-1 
        && (j=xml.indexOf(end,i+=start.length()))!=-1){
      return xml.substring(i,j);   // !hinyos!
    }else{
      return null;
    }
  }
  
}
